Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 246446 - gutenprint updates break foomatic PPDs
Summary: gutenprint updates break foomatic PPDs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: 7
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 246439
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-07-02 10:02 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 5.0.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-09 15:49:56 UTC


Attachments (Terms of Use)

Description Tim Waugh 2007-07-02 10:02:38 UTC
+++ This bug was initially created as a clone of Bug #246439 +++

Description of problem:
A yum update last week-end (Saturday 30/6/2007) installed some new 5.0.0.1
gutenprint RPMs which do not work.

Version-Release number of selected component (if applicable):
5.0.0.1

How reproducible:
Every time. Errors in /var/log/cups/error_log

Steps to Reproduce:
1. Boot system with latest updated FC6 as of 30/6/2007.
2. Attempt to print using gutenprint drivers to say Epson C42 printer.

  
Actual results:
1. Nothing prints.
2. Cups disables queue.
3. Errors in /var/log/cups/error_log complain that the version of PPD files does
not match gutenprint/cups release, i.e. 5.0.0.1.

Expected results:
Something should have printed.

Additional info:
Going back to the previous set of gutenprint extras RPMs (5.0.0.0) fixes the
problem temporarily.

Comment 1 Fedora Update System 2007-07-03 16:18:34 UTC
gutenprint-5.0.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 David W. Legg 2007-07-07 14:11:38 UTC
Tested gutenprint-5.0.1-3.fc7* on a Fedora 7 i386 machine.
This was printing via cups from an F7 machine to a fully updated FC5 machine.
Error message: /var/log/cups/error_log: blah ... Print file was not accepted
(Unsupported format 'application/octet-stream'!)!

Comment 3 Tim Waugh 2007-07-09 12:20:44 UTC
On which machine do you see that in the error_log file?

I don't think this is related to the gutenprint update.

Comment 4 David W. Legg 2007-07-09 13:53:21 UTC
That was on the FC5 machine.
Printing from an FC6 machine to the FC5 machine works happily.
Printing on the FC5 machine itself works.

Comment 5 Tim Waugh 2007-07-09 14:07:11 UTC
That seems like an FC-5 problem, not related to the gutenprint update.


Comment 6 Fedora Update System 2007-07-09 15:49:52 UTC
gutenprint-5.0.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 David W. Legg 2007-07-12 19:55:40 UTC
The Epson C42 prints a test page ok when connected directly to the fully updated
Fedora 7 box.

Looks like cups-1.2.8-1.fc5 has become incompatible with cups-1.2.11-2.fc7.

Should I raise a fresh bug report?

Comment 8 Tim Waugh 2007-07-13 08:57:38 UTC
David, it sounds like your FC-5 installation has an incorrect configuration
(perhaps /etc/cups/mime.types no longer lists application/octet-stream). 
Unfortunately FC-5 and earlier were prone to that sort of thing because the
configuration tool was more "delicate".  FC-5 is now past end of life; I
recommend you upgrade it.  If you must stick with FC-5, however, you'll need to
try fixing the configuration.

Comment 9 David W. Legg 2007-07-13 18:07:11 UTC
OK, fixed the config file.  here's the info for anybody else who hits this problem.

The FC5 cups config file /etc/cups/mime.types contains the line

# application/octet-stream

to be commented-in if you want raw printing.
F7 seems to want to do raw printing by default if it sends a job to an FC5 print
server running cups.

When I commented in the config line, it looked like this:

 application/octet-stream

but you need to be careful to make it look exactly like this (i.e. no leading
space character):

application/octet-stream

otherwise the cups in FC5 won't accept jobs from F7.

As Tim said, this is nowt to do with the gutenprint problem, and only partially
to do with F7.


Note You need to log in before you can comment on or make changes to this bug.